import { r as registerInstance, h } from './index-b13326fc.js';
var ElementVideoEditor = /** @class */ (function () {
    function ElementVideoEditor(hostRef) {
        registerInstance(this, hostRef);
    }
    ElementVideoEditor.prototype.prop = function (path, options) {
        if (options === void 0) { options = {}; }
        return this.handler.prop(path, Object.assign({}, options));
    };
    ElementVideoEditor.prototype.render = function () {
        return [
            h("bce-switch", Object.assign({}, this.prop('autoplay'), { label: this.t('me-auto-play') })),
            h("bce-upload", Object.assign({}, this.prop('location'), { accept: "video/*" })),
            h("slot", null)
        ];
    };
    return ElementVideoEditor;
}());
export { ElementVideoEditor as bce_element_video_editor };
